package pw.yumc.MiaoLobby;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.scheduler.BukkitRunnable;

import fr.xephi.authme.events.LoginEvent;
import pw.yumc.YumCore.bukkit.P;
import pw.yumc.YumCore.bukkit.compatible.C;

public class AuthMeHook implements Listener {
    MiaoLobby plugin = P.getPlugin();

    public AuthMeHook() {
        Bukkit.getPluginManager().registerEvents(this, P.instance);
    }

    @EventHandler
    public void onLogin(final LoginEvent e) {
        new BukkitRunnable() {
            Player player = e.getPlayer();
            int delay = plugin.config.AutoTPDelay;

            @Override
            public void run() {
                if (player.isOnline()) {
                    if (delay > 0) {
                        C.ActionBar.send(player, String.format(plugin.config.TPDelay, delay));
                        delay--;
                        return;
                    }
                    plugin.random(player);
                }
                cancel();
            }
        }.runTaskTimerAsynchronously(plugin, 0, 20);
    }
}
